com.google.gwt.event.dom.client

## Interface HasErrorHandlers

All Superinterfaces:
  HasHandlers

All Known Implementing Classes:
  Image

    public interface HasErrorHandlers
    extends HasHandlers

A widget that implements this interface provides registration for `ErrorHandler` instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addErrorHandler(ErrorHandler handler)` Adds an `ErrorEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addErrorHandler

    HandlerRegistration addErrorHandler(ErrorHandler handler)

Adds an `ErrorEvent` handler.

Parameters:
  `handler` - the error handler
Returns:
  `HandlerRegistration` used to remove this handler